#include "DAGH.h"
#include "Consts.h"
#include "ADMvar.h"
#include "SArray.h"
#include "TArray.h"
#include "BHmask.h"
#include "Variables.h"
#include "init.h"
#include "input_params.h"

void init(int, int, double *,
      ADMscalar *, 
      ADMscalar *, 
      ADMscalar *, 
      ADMscalar *, 
      ADMscalar *, 
      ADMscalar *, 
      int, int, double, int); 

void InitData0(V &VA, double Time, double Delta_t, int tc,
      int Level, int IDENT, int myrank) {
      ADMscalar *an=VA.an;
      ADMscalar *bn=VA.bn;
      ADMscalar *cn=VA.cn;
      ADMscalar *dn=VA.dn;
      ADMscalar *phi=VA.phi;
      ADMscalar *temp=VA.temp;
      DOUBLE *params=VA.params;
 
      int iTime=0;
      int idt=1;
      int init=1;
 
initialize(iTime, Level, params, an, bn, cn, dn, phi, temp, init,
      idt, Time, myrank);

if(myrank==0) cout << "initialization completed" << endl;
}
